Link Search Menu Expand Document

Summary

  • consistent env for ruby projects

Cook

see gems that aren’t updated to newest

 bundle outdated --groups

Upgrade a gem

bundle update cucumber-rails

Use a custom gemfile

BUNDLE_GEMFILE=Gemfile-rails4 bundle install –path vendor/bundle-rails4

You can then run tests in the similar way:

BUNDLE_GEMFILE=Gemfile-rails4 bundle exec rake spec




Copyright © 2020 Thence LLC